## rust-rustls-webpki 0.103.7

=== requirements.txt ===
cffi==1.15.1
cryptography==44.0.1
mypy==1.3.0
mypy-extensions==1.0.0
pycparser==2.21
tomli==2.0.1
typing_extensions==4.5.0

=== debian/changelog ===
rust-rustls-webpki (0.103.7-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Oct 2025 21:37:34 +0200

=== debian/control ===
Source: rust-rustls-webpki
Section: rust
Priority: optional
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-ring-0.17+default-dev,
 librust-rustls-pki-types-1+default-dev (>= 1.12),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-untrusted-0.9+default-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-rustls-webpki.git
Vcs-Browser: https://salsa.debian.org/debian/rust-rustls-webpki
Homepage: https://github.com/rustls/webpki
Rules-Requires-Root: no

Package: librust-rustls-webpki-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-ring-0.17+default-dev,
 librust-rustls-pki-types-1+default-dev (>= 1.12),
 librust-untrusted-0.9+default-dev,
 ${misc:Depends},
Provides:
 librust-rustls-webpki-0.103+alloc-dev (= ${binary:Version}),
 librust-rustls-webpki-0.103+default-dev (= ${binary:Version}),
 librust-rustls-webpki-0.103+ring-dev (= ${binary:Version}),
 librust-rustls-webpki-0.103+std-dev (= ${binary:Version}),
 librust-rustls-webpki-0.103-dev (= ${binary:Version}),
 librust-rustls-webpki-0.103.7-dev (= ${binary:Version}),
Description: web PKI X.509 certificate verification - Rust source code
 rustls-webpki is a library
 that validates Web PKI (TLS/SSL) certificates.
 It's used by Rustls to handle certificate-related tasks
 required for implementing TLS clients and servers.
 .
 rustls-webpki is written in Rust
 and uses ring for cryptographic operations and low-level parsing.
 .
 This is a fork of the webpki project
 which adds a number of features required by the rustls project.
 .
 Rustls is a modern TLS library written in Rust.
 .
 This package contains the source for the Rust rustls-webpki crate,
 for use with cargo.

=== debian/tests/control ===
Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.7
 --all-targets --all-features
Features: test-name=rust-rustls-webpki:@
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.7
 --all-targets --no-default-features
Features: test-name=rust-rustls-webpki:
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.7
 --all-targets --no-default-features --features alloc
Features: test-name=rust-rustls-webpki:alloc
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+alloc-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.7
 --all-targets
Features: test-name=rust-rustls-webpki:default
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.7
 --all-targets --no-default-features --features ring
Features: test-name=rust-rustls-webpki:ring
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+ring-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.7
 --all-targets --no-default-features --features std
Features: test-name=rust-rustls-webpki:std
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-0.4+default-dev,
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+std-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

## rust-rustls-webpki 0.103.9+ds

=== debian/changelog ===
rust-rustls-webpki (0.103.9+ds-2) unstable; urgency=medium

  * relax build- and autopkgtest-dependencies for crate bzip2;
    closes: bug#1116210, thanks to Daniel Kahn Gillmor
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
  * update git-buildpackage config:
    + stop superfluously filter out .git* files

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Jan 2026 09:47:26 +0100

rust-rustls-webpki (0.103.9+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + repackage upstream source to avoid any .git* files
    + update coverage
  * update watch file:
    + set Repack-Suffix: +ds
    + use Uversion-Mangle: auto
  * stop set superfluous fields Rules-Requires-Root Priority
  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates
  * declare compliance with Debian Policy 4.7.3
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Jan 2026 19:50:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: rust-rustls-webpki
 Section: rust
-Priority: optional
 Build-Depends:
  cmark-gfm <!nodoc>,
  debhelper-compat (= 13),
  dh-sequence-rust,
  librust-base64-0.22+default-dev,
- librust-bzip2-0.4+default-dev,
+ librust-bzip2-dev (<< 0.7),
  librust-rcgen-0.14+default-dev,
  librust-ring-0.17+default-dev,
  librust-rustls-pki-types-1+default-dev (>= 1.12),
@@ -15,15 +14,14 @@
  librust-serde-json-1+default-dev,
  librust-untrusted-0.9+default-dev,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/rust-rustls-webpki.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-rustls-webpki
 Homepage: https://github.com/rustls/webpki
-Rules-Requires-Root: no
 
 Package: librust-rustls-webpki-dev
 Architecture: all
-Multi-Arch: foreign
+#Multi-Arch: foreign
 Depends:
  librust-ring-0.17+default-dev,
  librust-rustls-pki-types-1+default-dev (>= 1.12),
@@ -35,7 +33,7 @@
  librust-rustls-webpki-0.103+ring-dev (= ${binary:Version}),
  librust-rustls-webpki-0.103+std-dev (= ${binary:Version}),
  librust-rustls-webpki-0.103-dev (= ${binary:Version}),
- librust-rustls-webpki-0.103.7-dev (= ${binary:Version}),
+ librust-rustls-webpki-0.103.9-dev (= ${binary:Version}),
 Description: web PKI X.509 certificate verification - Rust source code
  rustls-webpki is a library
  that validates Web PKI (TLS/SSL) certificates.

=== debian/tests/control ===
Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.9
 --all-targets --all-features
Features: test-name=rust-rustls-webpki:@
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-dev (<< 0.7),
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.9
 --all-targets --no-default-features
Features: test-name=rust-rustls-webpki:
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-dev (<< 0.7),
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.9
 --all-targets --no-default-features --features alloc
Features: test-name=rust-rustls-webpki:alloc
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-dev (<< 0.7),
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+alloc-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.9
 --all-targets
Features: test-name=rust-rustls-webpki:default
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-dev (<< 0.7),
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.9
 --all-targets --no-default-features --features ring
Features: test-name=rust-rustls-webpki:ring
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-dev (<< 0.7),
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+ring-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

Test-Command: SOURCEPACKAGEDIR=$PWD /usr/share/dh-rust/bin/cargo-auto-test rustls-webpki 0.103.9
 --all-targets --no-default-features --features std
Features: test-name=rust-rustls-webpki:std
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bzip2-dev (<< 0.7),
 librust-rcgen-0.14+default-dev,
 librust-rustls-webpki-0.103+std-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
Restrictions: allow-stderr

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: rustls
Project: webpki
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v/@ANY_VERSION@
Uversion-Mangle: auto
Dversion-Mangle: auto
Repacksuffix: +ds
